html {
  box-sizing: border-box;
}
body {
  margin: 0;
}

a {
  text-decoration: none;
}
*,
*:before,
*:after {
  box-sizing: border-box;
}
body {
  font-family: "Ubuntu", sans-serif;
}

/*container*/
.container {
  width: 100vw;
  height: 100vh;
  background-image: url("../img/bgimage.png");
  background-size: cover;
  background-position: center;
}
/*header*/
.container .header {
  font-family: "Ubuntu", sans-serif;
  width: 100vw;
  background: rgba(0, 0, 0, 0.4);
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 18px 80px;
}
/*header left logo*/
.container .header .header-logo {
  font-weight: 700;
  font-size: 22px;
}
.container .header .header-logo a,
.container .header .welcome-block a {
  color: #fff;
}
/* right header block*/
.container .header .welcome-block {
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: #fff;
  gap: 26px;
  margin-left: 30px;
}
.container .header .welcome-block .log-or-sign span,
.container .header .welcome-block .log-or-sign a {
  font-size: 14px;
}
/*svg icons of the rigt header block*/
.container .header .welcome-block .icon-box {
  display: flex;
  justify-content: center;
  gap: 26px;
}
/*hover reactions of the objects on the right header block*/
.container .header .welcome-block .icon-box svg:hover * {
  fill: #3cb878;
  transition: 0.3s;
}
.container .header .header-logo a:hover,
.container .header .welcome-block a:hover {
  color: #3cb878;
  transition: 0.3s;
}
/*flex-box container for aligning suform container*/
.flex {
  height: calc(100vh - 64px);
  width: 100vw;
  width: inherit;
  display: flex;
  justify-content: center;
  align-items: center;
}
/*Sign up = suform, container*/
.container .flex .suform {
  font-family: "Ubuntu", sans-serif;
  width: 444px;
  height: 584px;
  background-color: #fff;
  outline: 1px solid rgba(255, 255, 255, 0.21);
  padding: 31px 60px;
}
/*suform header*/
.container .flex .suform .suform-header {
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  font-size: 20px;
  color: #434343;
}
/*green square*/
.container .flex .suform .su-title::before {
  content: "";
  position: absolute;
  left: calc(50vw - 222px);
  width: 18px;
  height: 18px;
  background-color: #3cb878;
}
/*header 'log in' & it's hover reaction*/
.container .flex .suform .suform-header a {
  font-size: 14px;
  color: #3cb878;
}
.container .flex .suform .suform-header a:hover {
  font-size: 14px;
  color: #01813f;
  text-decoration: underline;
  transition: 0.3s;
}
/*buttons of the social net-works*/
.container .flex .suform .social-forms {
  display: flex;
  justify-content: space-between;
  padding-top: 15px;
}
.container .flex .suform .social-forms a .facebook,
.container .flex .suform .social-forms a .google {
  font-family: "Ubuntu", sans-serif;
  height: 48px;
  width: 159px;
  border-radius: 5px;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  font-size: 16px;
  color: #fff;
  cursor: pointer;
}
/*general design of the social n-w button*/
.container .flex .suform .social-forms a .facebook .soc-img,
.container .flex .suform .social-forms a .google .soc-img {
  display: flex;
  align-self: center;
  padding-left: 5px;
}
.container .flex .suform .social-forms a .facebook .soc-title,
.container .flex .suform .social-forms a .google .soc-title {
  height: 28px;
  width: 100px;
  display: grid;
  align-items: center;
  justify-content: center;
}
/*style specifications for two buttons*/
.container .flex .suform .social-forms a .facebook {
  background-color: #305db8;
  border: 1px solid #97aedb;
}
.container .flex .suform .social-forms a .google {
  background-color: #df4a32;
  border: 1px solid #efa498;
}
.container .flex .suform .social-forms a .facebook .soc-title {
  border-left: 1px solid rgba(10, 22, 47, 0.1);
}
.container .flex .suform .social-forms a .google .soc-title {
  border-left: 1px solid rgba(43, 13, 9, 0.1);
}
/*the hover reactions of the social net-works buttons*/
.container .flex .suform .social-forms a:hover .facebook {
  background-color: #022263;
  border: 1px solid #8090b1;
  transition: 0.3s;
}
.container .flex .suform .social-forms a:hover .google {
  background-color: #ab1f09;
  border: 1px solid #f4e3e0;
  transition: 0.3s;
}
.container .flex .suform .social-forms a:hover .facebook .soc-title {
  border-left: 1px solid #0a162f;
  transition: 0.3s;
}
.container .flex .suform .social-forms a:hover .google .soc-title {
  border-left: 1px solid #831706;
  transition: 0.3s;
}
/*the 'or' title*/
.container .flex .suform .or-title {
  font-size: 14px;
  padding: 31px 0 11px;
  color: #848484;
  text-align: center;
}

/*two grey lines beside the 'or' title*/
.container .flex .suform .or-title::before {
  content: "";
  position: absolute;
  left: calc(50vw - 222px + 60px);
  height: 9px;
  width: 152px;
  border-bottom: 2px solid #f2f2f2;
}
.container .flex .suform .or-title::after {
  content: "";
  position: absolute;
  left: calc(50vw - 222px + 232px);
  height: 9px;
  width: 152px;
  border-bottom: 2px solid #f2f2f2;
}
/*input form*/
.container .flex .suform .input-container {
  width: auto;
  display: flex;
  flex-direction: column;
  gap: 15px;
}
/*the general design of the input line with placeholder & focus reaction*/
.container .flex .suform .input-container input {
  font-family: "Ubuntu", sans-serif;
  width: 100%;
  height: 44px;
  padding-left: 20px;
  font-size: 14px;
  color: #434343;
  border: 2px solid #f2f2f2;
  border-radius: 4px;
}
.container .flex .suform .input-container input::placeholder {
  color: #bebebe;
}
.container .flex .suform .input-container input:focus {
  color: #434343;
  outline: 0;
  box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.21);
}
/*form of the agreement with terms&conditions*/
.container .flex .suform .terms-conditions {
  margin-top: 15px;
}
.container .flex .suform .terms-conditions form label {
  font-size: 14px;
  color: #434343;
  cursor: pointer;
}
.container .flex .suform .terms-conditions form label a {
  color: #3cb878;
}
/*stylization of the checkbox form*/
.terms-conditions form input[type="checkbox"] {
  display: none;
}
.terms-conditions form input[type="checkbox"] + label span {
  border: 1px solid #bebebe;
  display: inline-block;
  width: 19px;
  height: 19px;
  margin-right: 8px;
  vertical-align: middle;
  text-align: center;
}
.terms-conditions input[type="checkbox"]:checked + label span {
  background-image: url("../img/Vector.png");
  background-repeat: no-repeat;
  background-position: left;
}
/*the hover reactions of the objects on t&c agreement form*/
.container .flex .suform .terms-conditions form label a:hover {
  color: #01813f;
  text-decoration: underline;
  transition: 0.3s;
}
form input[type="checkbox"]:checked + label span:hover {
  background-image: url("../img/Vector-hover.png");
  background-repeat: no-repeat;
  background-position: left;
  transition: 0.3s;
}
/*the button of the account creation & it's hover reaction*/
.container .flex .suform .create-account {
  font-family: "Ubuntu", sans-serif;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: rgba(60, 184, 120, 0.8);
  margin-top: 20px;
  width: 100%;
  height: 46px;
  color: #fff;
  font-size: 16px;
  border-radius: 4px;
  border: 1px solid #d8f1e4;
  cursor: pointer;
}
.container .flex .suform a:hover .create-account {
  background-color: rgba(1, 129, 63, 1);
  border: 1px solid #40a06f;
  transition: 0.3s;
}
